> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of rewards.

> 
Returns the list of all the rewards generated for a consumer (gifts and cashbacks).




## OpenAPI

````yaml /program/api/openapi/legacy/1.1.3/connector.json get /connectors/consumers/{consumer_id}/rewards
openapi: 3.0.2
info:
  description: >
    ## Welcome to PayLead API Documentation !

    With this documentation, we will help you go through the phases of

    basic implementation, and help you understand the basic steps to let you
    reach your objectives through our API.

    ## Versioning

    Our API supports versioning, so be sure to set the right version in the
    header, using the Client-Api-Version field :


    ex : X-Api-Version = 1.0.0

    ## Response code

    Our API returns standard HTTP response codes to indicate success or failure
    of the API requests. For

    errors, we also return a customized error message inside the JSON response.
    You can see the returned

    HTTP status codes below.


    |Code|Title|Description

    |------|------|------|

    |200|OK|Request successful

    |201|Created|Resource successfully created

    |204|No Content|Request successful with no content returned

    |400|Bad Request|Request was unacceptable

    |401|Unauthorised|API key provided is invalid

    |402|Request Failed|Valid parameters but the request failed

    |403|Forbidden|Access is forbidden.

    |404|Not Found|Resource does not exist

    |409|Conflict|The request could not be completed due to a conflict with the
    current state of the target resource

    |429|Too Many Requests|The user has sent too many requests in a given amount
    of time ("rate limiting").

    |500, 502, 503, 504|Server Errors|Something went wrong with the PayLead API


    ## Error handling

    In case of error our API returns errors based on JSON API principles,
    especially for 4xx errors.

    An error response contains an unique id which can be used for investigation.

    In addition, you will find a message explaining the error, a readable code
    and a meta object containing more details.


    You can see an example below.


    >> ~~~~

    >> {

    >>     'errors': {

    >>             'target_account': [

    >>                 {

    >>                 'code': 'FORMAT_ERROR',

    >>                 'message': 'Invalid IBAN; it should be 4-34 characters,
    only upper-case letters and digits.',

    >>                 'meta': {

    >>                     'value': 'SOME-INVALID-IBAN'

    >>                 }

    >>             }

    >>         ]

    >>     },

    >>     'id': '784db0c2-0e87-40d4-aa62-3e801135ccf7'

    >> }

    >> ~~~~

    ## Language — Content Negotiation

    If your program has been configured to support multiple languages, the API
    will respect the `Accept-Language` header as defined in
    [RFC7231](https://tools.ietf.org/html/rfc7231#section-5.3.5).


    For each incoming request, the best language will be selected by matching
    the list of languages accepted by the client with the list of languages
    supported by the program.


    For example, with a header of `Accept-Language: fr-FR,en-GB;q=0.8,en;q=0.3`:

      * If supported languages are `fr-FR, en-GB`, the best match is `fr-FR`;
      * If supported languages are `en-GB, fr-FR`, the best match is `fr-FR`;
      * If supported languages are `fr-BE, nl-BE`, the best match is `fr-BE`;
      * If supported languages are `it-IT, en-US`, the best match is `en-US`;
      * If supported languages are `de-CH, it-CH`, the best match is `de-CH`.


    The selected language will be exposed through the `Content-Language` header.


    *Note:* If some fields haven't been translated yet, they will be returned in
    the program's primary language.
  title: PayLead API
  version: 1.1.3
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/consumers/{consumer_id}/rewards:
    get:
      tags:
        - Reward
      summary: Get the list of rewards.
      description: >

        Returns the list of all the rewards generated for a consumer (gifts and
        cashbacks).
      operationId: get.RewardListResource.impersonate
      parameters:
        - description: The id you used to create the given consumer
          in: path
          name: consumer_id
          required: true
          schema:
            type: string
        - description: |-
            Filter by amount

            Amount of the transaction
          example: -23.68
          in: query
          name: amount
          schema:
            type: number
        - description: Filter by bankwire_ref
          in: query
          name: bankwire_ref
          schema:
            type: string
        - description: |-
            Filter by consumer

            Consumer
          in: query
          name: consumer
          schema:
            type: string
        - description: |
            Filter by created_at

            Filtering on date of creation
            between <from>--<too>
            after   <from>--
            before  --<to>
          examples:
            between:
              summary: between 2020-05-25 and 2021-01-13
              value: 2020-05-25--2021-01-13
            older:
              summary: before 2021-05-25
              value: '--2021-05-25'
          in: query
          name: created_at
          schema:
            type: string
        - description: |-
            Filter by executed_at

            Execution date of the transaction
          example: '2019-01-31T12:00:00+00:00'
          in: query
          name: executed_at
          schema:
            type: string
        - description: the page number
          in: query
          name: page
          required: false
          schema:
            minimum: 1
            type: integer
        - description: the number of elements per page
          in: query
          name: per_page
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
        - description: Sort by given attribute
          in: query
          name: sort
          schema:
            enum:
              - amount
              - status
              - created_at
              - executed_at
              - consumer
              - bankwire_ref
              - type
              - '-amount'
              - '-status'
              - '-created_at'
              - '-executed_at'
              - '-consumer'
              - '-bankwire_ref'
              - '-type'
            type: string
        - description: Filter by status
          in: query
          name: status
          schema:
            enum:
              - CANCELLED
              - PENDING_VALIDATION
              - VALIDATED
              - PAID_IN
              - PAID_OUT
              - ERROR
            type: string
        - description: |
            Filtering on reward type
          in: query
          name: type
          schema:
            enum:
              - CASHBACK
              - GIFT
              - CASHBACK_AFFILIATION
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: '#/components/schemas/Reward'
                    type: array
                  meta:
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total:
                        type: integer
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    Reward:
      $ref: '#/components/schemas/RewardConsumer'
    RewardConsumer:
      properties:
        amount:
          description: Amount of the transaction
          example: -23.68
          readOnly: true
          type: number
        consumer_id:
          description: 'UUID : unique ID of a consumer'
          readOnly: true
          type: string
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          readOnly: true
          type: string
        executed_at:
          description: Execution date of the transaction
          example: '2019-01-31T12:00:00+00:00'
          format: date-time
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        links:
          $ref: '#/components/schemas/Links1'
        name:
          description: Name of the object
          readOnly: true
          type: string
        origin:
          description: The issuer name that holds the reward
          readOnly: true
          type: string
        paid_out_at:
          description: The date when the reward was paid
          format: date-time
          nullable: true
          readOnly: true
          type: string
        status:
          description: >
            - PENDING_VALIDATION: The reward is pending the validation from the
            merchant.

            - VALIDATED: The reward is now validated and waits for payment from
            the merchant.

            - PAID_IN: The reward has been paid by the merchant.

            - PAID_OUT: The reward has been paid to the consumer.

            - CANCELLED: Cancelled by the merchant or by a technical action.

            - ERROR: Technical error. Please contact PayLead.
          readOnly: true
          type: string
        type:
          description: 'Enum in: CASHBACK, UNIQUE_COUPON, GENERIC_COUPON'
          enum:
            - CASHBACK
            - GIFT
            - CASHBACK_AFFILIATION
            - LBS_CASHBACK
          example: CASHBACK
          maxLength: 20
          readOnly: true
      required:
        - amount
        - type
      type: object
    Links1:
      properties:
        details:
          description: Details of the link.
          format: url
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````